org.jbpm.services.task.impl.model

## Class EmailNotificationImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.NotificationImpl
  - - org.jbpm.services.task.impl.model.EmailNotificationImpl

- All Implemented Interfaces:
    Externalizable, Serializable, org.kie.internal.task.api.model.EmailNotification, org.kie.internal.task.api.model.Notification

      @Entity(name="Notification")
      public class EmailNotificationImpl
      extends NotificationImpl
      implements org.kie.internal.task.api.model.EmailNotification

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailNotificationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Map<? extends org.kie.internal.task.api.model.Language,? extends org.kie.internal.task.api.model.EmailNotificationHeader>` | `getEmailHeaders()`
    `org.kie.internal.task.api.model.NotificationType` | `getNotificationType()`
    `int` | `hashCode()`
    `void` | `readExternal(ObjectInput in)`
    `void` | `setEmailHeaders(Map<? extends org.kie.internal.task.api.model.Language,? extends org.kie.internal.task.api.model.EmailNotificationHeader> emailHeaders)`
    `String` | `toString()`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class org.jbpm.services.task.impl.model.NotificationImpl

      `getBusinessAdministrators, getDescriptions, getDocumentation, getId, getNames, getPriority, getRecipients, getSubjects, setBusinessAdministrators, setDescriptions, setDocumentation, setId, setNames, setPriority, setRecipients, setSubjects`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.api.model.Notification

      `getBusinessAdministrators, getDescriptions, getDocumentation, getId, getNames, getPriority, getRecipients, getSubjects, setBusinessAdministrators, setDescriptions, setDocumentation, setId, setNames, setPriority, setRecipients, setSubjects`

- - ### Constructor Detail

    - #### EmailNotificationImpl

          public EmailNotificationImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Overrides:
        `writeExternal` in class `NotificationImpl`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Overrides:
        `readExternal` in class `NotificationImpl`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getNotificationType

          public org.kie.internal.task.api.model.NotificationType getNotificationType()

      Specified by:
        `getNotificationType` in interface `org.kie.internal.task.api.model.Notification`
      Overrides:
        `getNotificationType` in class `NotificationImpl`

    - #### getEmailHeaders

          public Map<? extends org.kie.internal.task.api.model.Language,? extends org.kie.internal.task.api.model.EmailNotificationHeader> getEmailHeaders()

      Specified by:
        `getEmailHeaders` in interface `org.kie.internal.task.api.model.EmailNotification`

    - #### setEmailHeaders

          public void setEmailHeaders(Map<? extends org.kie.internal.task.api.model.Language,? extends org.kie.internal.task.api.model.EmailNotificationHeader> emailHeaders)

      Specified by:
        `setEmailHeaders` in interface `org.kie.internal.task.api.model.EmailNotification`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `NotificationImpl`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `NotificationImpl`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.